## adacgi 1.6

=== debian/changelog ===
adacgi (1.6-23) experimental; urgency=medium

  * Rebuild with gcc-9, rename lib and -dev packages accordingly.
  * Track packaging history on salsa.debian.org.
  * Add myself to Uploaders.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 12 Jan 2020 12:38:31 +0100

adacgi (1.6-22) unstable; urgency=medium

  * Re-upload to carry changes from experimental to unstable (for
    GNAT-8 transition).  Closes: #903843.

 -- Phil Brooke <pjb@debian.org>  Sun, 21 Oct 2018 15:06:34 +0100

adacgi (1.6-21) experimental; urgency=medium

  * Apply the following changes from Nicolas Boulenguez.  Thank you!
    - Rebuild with gcc-8, rename -dev and lib packages accordingly.
    - Update dependencies: debhelper.
    - Standards-Version: 4.1.5. Rules-Requires-Root: no.
    - Make test more verbose to help investigation in case of failure.
    - Delete trailing spaces in changelog.
    - Drop obsolete version requirement on dpkg-dev.
    - Simplify parsing of debian/control.

 -- Phil Brooke <pjb@debian.org>  Sat, 21 Jul 2018 16:22:57 +0100

adacgi (1.6-20) unstable; urgency=medium

  * Ack NMUs 1.6-19.1 and 1.6-19.2.  Thank you, Nicolas.
  * Upload for unstable (previous was experimental).

 -- Phil Brooke <pjb@debian.org>  Tue,  5 Sep 2017 19:20:01 +0100

adacgi (1.6-19.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Make the library compliant with Debian Ada policy:
    - split runtime (soversion) and -dev (aliversion) packages
    - provide let -dev also provide a static library.
  * Build with gnat-7 and gprbuild.
  * Switch to source format 3.0 (quilt).
  * Switch to dh-ada-library, debhelper 10 and dh driver.
  * Switch copyright file to machine readable 1.0 format.
  * Install shared library into multiarch paths.
  * Enable hardening dpkg-buildflags.
  * Install forgotten screen.html, linked from cgi.html.
  * Standards-Version: 4.0.0.
  * Add watch file, minimal runtime test, doc-base registration.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Jul 2017 15:39:45 +0200

adacgi (1.6-19.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with gnat-6 and bump ALI version. Closes: #830349.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 15:39:26 +0200

adacgi (1.6-19) unstable; urgency=medium

  * Add notice to debian/copyright re: adacgi.spec.  (Closes: 756383.)
  * Bump to standards version 3.9.6.

 -- Phil Brooke <pjb@debian.org>  Sat, 18 Oct 2014 14:03:34 +0100

adacgi (1.6-18) unstable; urgency=medium

  * Update GNAT version to 4.9.  Also rename to adacgi2 and bump
    ALIVERSION in debian/rules.  (Closes: 755007, 753955.)
  * Bump to standards version 3.9.5.

 -- Phil Brooke <pjb@debian.org>  Tue, 22 Jul 2014 13:46:45 +0100

adacgi (1.6-17) unstable; urgency=low

  * Fix GNAT project file that was missing Externally_Built attribute
    (closes: 679638).

 -- Phil Brooke <pjb@debian.org>  Mon, 02 Jul 2012 14:24:02 +0100

adacgi (1.6-16) unstable; urgency=low

  * Rename adacgi0 to adacgi1; should have been done at the same time
    as changing gnat version.

 -- Phil Brooke <pjb@debian.org>  Wed, 07 Dec 2011 15:42:42 +0000

adacgi (1.6-15) unstable; urgency=low

  * Bump gnat version to 4.6 (closes: 642610).
  * Bump to standards version 3.9.2.
  * Fix build targets in debian/rules.

 -- Phil Brooke <pjb@debian.org>  Wed, 07 Dec 2011 11:40:57 +0000

adacgi (1.6-14) unstable; urgency=low

  * Fix build-depends properly this time. (Closes: 587648).
  * Set debian/source/format.
  * Bump to standards version 3.9.0.

 -- Phil Brooke <pjb@debian.org>  Wed, 30 Jun 2010 17:12:34 +0100

adacgi (1.6-13) unstable; urgency=low

  * Modify build-depends to fix on gnat-4.4.
  * Rename binary package from adacgi to adacgi0 to handle Ada
    ALI version issues.  (Closes: 585129).

 -- Phil Brooke <pjb@debian.org>  Tue, 22 Jun 2010 10:26:23 +0100

adacgi (1.6-12) unstable; urgency=low

  * Bump gnat version to 4.4.
  * Change architecture to any (to match gnat-4.4).
    (Closes: #568431, #542408).
  * Bump standards version to 3.8.4.

 -- Phil Brooke <pjb@debian.org>  Sat, 06 Feb 2010 15:26:08 +0000

adacgi (1.6-11) unstable; urgency=low

  * Bump debian/compat to 6 and build-depends on debhelper.
  * Bump standards version to 3.8.2.

 -- Phil Brooke <pjb@debian.org>  Wed, 24 Jun 2009 09:01:08 +0100

adacgi (1.6-10) unstable; urgency=low

  * Bump gnat version to 4.3.
  * Add mips and mipsel architectures.
  * Fix debian/compat.
  * Fix copyright file.
  * Bump standards version to 3.8.0.

 -- Phil Brooke <pjb@debian.org>  Fri, 18 Jul 2008 07:30:54 +0100

adacgi (1.6-9) unstable; urgency=low

  * Corrected architecture for new gnat -- it's not `any'.
  * Assorted suggestions from Ludovic Brenta (thanks!):
     * Changed build-depends to include version >= 4.1 on gnat.
     * Changed installation directories to use
       /usr/share/ada/adainclude/adacgi and
       /usr/lib/ada/adalib/adacgi.
     * No longer needed to explicitly chmod the .ali files: dh_fixperms
       will do it.
     * No longer need lintian overrides.
     * Added Debian specific GNAT project file,
       /usr/share/ada/adainclude/adacgi.gpr.
     * Using -g when builder cgi.o and ustrings.o.
     * The example files are now excluded from compression by dh_compress.
    Closes: #383440.
  * Replaced existing makefile with a new Makefile and project file.
  * Reverted most changes from cgi.adb -- not needed anymore.

 -- Phil Brooke <pjb@debian.org>  Mon,  2 Oct 2006 11:10:20 +0100

adacgi (1.6-8) unstable; urgency=medium

  * Fixed FTBFS by changing (build-)depends to gnat (closes: #377985).
  * Change to newer gnat means that architecture can be `any'.
  * Removed bashisms in debian/rules (closes: #376492).
  * Bumped standards-version to 3.7.2.

 -- Phil Brooke <pjb@debian.org>  Wed, 26 Jul 2006 18:29:20 +0000

adacgi (1.6-7) unstable; urgency=low

  * Changed build-depends for GNU/kFreeBSD (closes: #345056).
  * Bumped DH_COMPAT and debhelper version to 4.

