=== debian/control ===
Source: adacgi
Maintainer: Phil Brooke <pjb@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Section: libdevel
Priority: optional
Standards-Version: 4.1.5
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 11),
 gnat, gnat-9,
# This line is parsed by debian/rules.
 dh-ada-library,
 gprbuild
Vcs-Browser: https://salsa.debian.org/debian/adacgi
Vcs-Git: https://salsa.debian.org/debian/adacgi.git
Homepage: http://www.dwheeler.com/adacgi

Package: libadacgi3-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Description: Ada CGI interface: development
 This is David A. Wheeler's Ada 95 interface to the "Common Gateway
 Interface" (CGI).  This makes it easier to create Ada programs that
 can be invoked by HTTP servers using the standard CGI interface.
 .
 Install this package if you want to write programs that use AdaCGI.

Package: libadacgi3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ada CGI interface: shared library
 This is David A. Wheeler's Ada 95 interface to the "Common Gateway
 Interface" (CGI).  This makes it easier to create Ada programs that
 can be invoked by HTTP servers using the standard CGI interface.
 .
 This package contains the runtime shared library.
