=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\([0-9.]\+\),$$/ \
    GNAT_VERSION:=\1 \
  /p;\
  s/^Package: libadacgi\([0-9.]\+\)$$/ \
    soversion:=\1 \
  /p;\
  s/^Package: \(libadacgi[0-9.]\+-dev\)$$/ \
    DEV_PKG:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

%:
	dh $@ --with ada-library

# Ignore or replace upstream build system.
.PHONY: $(addprefix override_dh_auto_,configure build test install clean)

override_dh_auto_configure: debian/doc-base
debian/doc-base: debian/doc-base_sed
	sed s/@DEV_PKG@/$(DEV_PKG)/ $< > $@

override_dh_auto_build:
	gprbuild debian/adacgi.gpr -p $(BUILDER_OPTIONS) \
	  $(foreach v,ADAFLAGS,"-X$(v)=$($(v))")
	gprbuild debian/adacgi.gpr -p $(BUILDER_OPTIONS) \
	  $(foreach v,ADAFLAGS LDFLAGS soversion,"-X$(v)=$($(v))")

override_dh_auto_clean:
	rm -fr gen
	rm -f debian/doc-base
	rm -f *.o *.ali demo minimal search test_cookie test_send test_encode

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs debian/upstream_changelog.txt

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.adb -X.ads
