=== debian/watch ===
version=4
https://www.dwheeler.com/adacgi \
  latest/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
